Nauvis Post Collapse 1.0 (Pre-Alpha)

Place to share custom user maps, scenarios and campaigns.
lilstrip
Fast Inserter
Fast Inserter
Posts: 163
Joined: Fri Aug 07, 2015 5:01 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by lilstrip »

https://www.mediafire.com/file/w0wvbn3u ... 0.zip/file

made this mod for starsector, you will need shadowyards to make it work
Image
there are other ships included and might add more to it in the future

malventano
Filter Inserter
Filter Inserter
Posts: 330
Joined: Thu Apr 27, 2017 4:31 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by malventano »

TheCornishman wrote:
Tue Nov 24, 2020 8:00 pm
I thought I'd try the intermediate step, and yes! I can load the save from 0.17.79 in 1.0! I saved it again, upgraded to 1.1 again, and tried to open the save. It fails, though, with the message

Code: Select all

/home/jonathan/.factorio/temp/currently-playing/control.lua:24: attempt to call field 'get_events' (a nil value)
stack traceback:
	/home/jonathan/.factorio/temp/currently-playing/control.lua:24: in main chunk
I'm getting a similar error when trying to carry my existing pre-1.0 save forward. I can load and save it with 1.0, but can't open that 1.0 save with 1.1 or higher. Any thoughts on a fix? I'm willing to patch the save if anyone can point me in the right direction.
Allyn Malventano
---
Want to improve fluid flow between pumps / across longer distances? Try my Manifolds mod.

lilstrip
Fast Inserter
Fast Inserter
Posts: 163
Joined: Fri Aug 07, 2015 5:01 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by lilstrip »

malventano wrote:
Sat Dec 05, 2020 9:09 pm
TheCornishman wrote:
Tue Nov 24, 2020 8:00 pm
I thought I'd try the intermediate step, and yes! I can load the save from 0.17.79 in 1.0! I saved it again, upgraded to 1.1 again, and tried to open the save. It fails, though, with the message

Code: Select all

/home/jonathan/.factorio/temp/currently-playing/control.lua:24: attempt to call field 'get_events' (a nil value)
stack traceback:
	/home/jonathan/.factorio/temp/currently-playing/control.lua:24: in main chunk
I'm getting a similar error when trying to carry my existing pre-1.0 save forward. I can load and save it with 1.0, but can't open that 1.0 save with 1.1 or higher. Any thoughts on a fix? I'm willing to patch the save if anyone can point me in the right direction.
Have you tried using the new version which I published on the mod portal?

https://mods.factorio.com/mod/Nauvis-Post-Collapse

malventano
Filter Inserter
Filter Inserter
Posts: 330
Joined: Thu Apr 27, 2017 4:31 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by malventano »

lilstrip wrote:
Tue Dec 08, 2020 3:15 am

Have you tried using the new version which I published on the mod portal?

https://mods.factorio.com/mod/Nauvis-Post-Collapse
I installed the new version from the mod portal, but it didn’t seem to have any impact on loading the existing save. This save was started way back as a scenario, so I’m not sure if something has carried forward from that point and is not being overridden by the new version?
Allyn Malventano
---
Want to improve fluid flow between pumps / across longer distances? Try my Manifolds mod.

User avatar
ptx0
Filter Inserter
Filter Inserter
Posts: 642
Joined: Wed Jan 01, 2020 7:16 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by ptx0 »

malventano wrote:
Tue Dec 08, 2020 1:28 pm
lilstrip wrote:
Tue Dec 08, 2020 3:15 am

Have you tried using the new version which I published on the mod portal?

https://mods.factorio.com/mod/Nauvis-Post-Collapse
I installed the new version from the mod portal, but it didn’t seem to have any impact on loading the existing save. This save was started way back as a scenario, so I’m not sure if something has carried forward from that point and is not being overridden by the new version?
open up your save file and replace lua with the one from 1.1 scenario version.

malventano
Filter Inserter
Filter Inserter
Posts: 330
Joined: Thu Apr 27, 2017 4:31 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by malventano »

ptx0 wrote:
Thu Dec 10, 2020 5:11 pm
open up your save file and replace lua with the one from 1.1 scenario version.
The control.lua in my save file is identical to the one in the 1.0.2 (1.1) scenario version.
Allyn Malventano
---
Want to improve fluid flow between pumps / across longer distances? Try my Manifolds mod.

Radish
Manual Inserter
Manual Inserter
Posts: 1
Joined: Fri Dec 11, 2020 6:37 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by Radish »

Code: Select all

/home/jonathan/.factorio/temp/currently-playing/control.lua:24: attempt to call field 'get_events' (a nil value)
stack traceback:
	/home/jonathan/.factorio/temp/currently-playing/control.lua:24: in main chunk
I have similar problem. But i don't use any mods...
failed_to_load_1.0_in_1.1.5.png
failed_to_load_1.0_in_1.1.5.png (2.64 MiB) Viewed 272 times

lilstrip
Fast Inserter
Fast Inserter
Posts: 163
Joined: Fri Aug 07, 2015 5:01 pm
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by lilstrip »

If you try to open the map as a scenario in the scenario editor it might work. Honestly I have no idea how you guys create so many errors with this scenario xD

Its completely vanilla and I ported it multiple times from the old 0.17 and even 0.16 versions with no issues. My best guess is you guys are screwing up the installation part but if you keep encountering issues hit me up on discord and ill try to help out if I have free time

ttp
Manual Inserter
Manual Inserter
Posts: 2
Joined: Thu Dec 17, 2020 7:43 am
Contact:

Re: Nauvis Post Collapse (16GB ram minimum required)

Post by ttp »

Get the same error here,

...Data/Roaming/Factorio/temp/currently-playing/control.lua:24: attempt to call field 'get_events' (a nil value)
stack traceback:
...Data/Roaming/Factorio/temp/currently-playing/control.lua:24: in main chunk

when trying to start a new game with the scenario.

Factorio version 1.1.6, updated sequentially from 1.1.0 (afair)

So far i havent tried with old savegames, as they are version 0.17

Anyway - Hopefully it will work eventually,. Really like this scenario :D

Post Reply

Return to “Maps and Scenarios”

Who is online

Users browsing this forum: No registered users